"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const command_1 = require("./command");
const flags = require("./flags");
let m;
beforeEach(() => {
    m = jest.fn();
});
class AppCommand extends command_1.Command {
    run() {
        return tslib_1.__awaiter(this, void 0, void 0, function* () {
            m(this.flags.app);
        });
    }
}
AppCommand.flags = {
    app: flags.app(),
};
test('sets app', () => tslib_1.__awaiter(this, void 0, void 0, function* () {
    yield AppCommand.mock(['--app=myapp']);
    expect(m).toBeCalledWith('myapp');
}));
test('has heroku clients', () => tslib_1.__awaiter(this, void 0, void 0, function* () {
    let { cmd } = yield AppCommand.mock(['--app=myapp']);
    expect(cmd.heroku).toBeTruthy();
    expect(cmd.legacyHerokuClient).toBeTruthy();
}));
test('has out/cli', () => tslib_1.__awaiter(this, void 0, void 0, function* () {
    class LogCommand extends command_1.Command {
        run() {
            return tslib_1.__awaiter(this, void 0, void 0, function* () {
                this.out.log('out');
                this.cli.log('cli');
            });
        }
    }
    let { stdout } = yield LogCommand.mock();
    expect(stdout).toEqual('out\ncli\n');
}));
