"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const yubikey_1 = require("./yubikey");
jest.mock('child_process');
describe('yubikey', () => {
    beforeEach(() => {
        yubikey_1.yubikey.platform = 'darwin';
    });
    afterEach(() => {
        jest.clearAllMocks();
    });
    it('turns yubikey on', () => {
        expect.assertions(2);
        const cp = require('child_process');
        cp.execSync.mockImplementationOnce((args, opts) => {
            expect(args).toEqual('osascript -e \'if application "yubiswitch" is running then tell application "yubiswitch" to KeyOn\'');
            expect(opts).toEqual({ stdio: 'inherit' });
        });
        yubikey_1.yubikey.enable();
    });
    it('turns yubikey off', () => {
        expect.assertions(2);
        const cp = require('child_process');
        cp.execSync.mockImplementationOnce((args, opts) => {
            expect(args).toEqual('osascript -e \'if application "yubiswitch" is running then tell application "yubiswitch" to KeyOff\'');
            expect(opts).toEqual({ stdio: 'inherit' });
        });
        yubikey_1.yubikey.disable();
    });
});
